import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { RPCService } from '@loafer/ng-rpc';
import { MetaTargetZoneType } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaTargetZoneTypeService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readByKey(key: string): Observable<MetaTargetZoneType> {
    return this.rpcService.call<MetaTargetZoneType>('MetaTargetZoneTypeService.readByKey', key);
  }

  public readAll(): Observable<MetaTargetZoneType[]> {
    return this.rpcService.call<MetaTargetZoneType[]>('MetaTargetZoneTypeService.readAll');
  }
}
